import { Friend } from "../../../common/dev/friends/friend.resource";
export declare function getOneFriend(resourceId: string): Promise<import("../../../../../generated/npm-package").WithId>;
/** @internal */
export declare function createFriendDirectlyInDb(friend: Friend): Promise<Friend>;
export declare function getFriends(): Promise<any>;
export declare function deleteFriend(friendId: string): Promise<unknown>;
